Subject: Re: Netlink messages without NLM_F_REQUEST flag

From: Jason Gunthorpe <[email-masked]>
Date: Wed, 7 Jun 2017 12:35:11 -0600

On Wed, Jun 07, 2017 at 09:18:10PM +0300, Leon Romanovsky wrote:

> > AFAIK, that is different, that is acking and retriggering a single shot
> > notification, not completing a kernel initiated handshake.
> 
> It is acking that message from user was received by kernel and now
> processing.

But isn't what is cared about here - the SA thing needs to send a
request to user space and collect a reply, it runs the protocol
backwards from normal.

It is not a notification because the request actually needs a reply,
and ACK's don't help because the reply has content.

It does not use the NOTIFICATION/REQUEST/REPLY sequence because it
does not care about reliability of delivering the REQUEST to user
space.

Jason